Bug 5223 - [UPDATE REQUEST] draklive-install-1.53-1
: [UPDATE REQUEST] draklive-install-1.53-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-19 19:30 MSK by Konstantin Vlasov
Modified: 2015-03-30 16:43 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-03-19 19:30:51 MSK
Added automatic sensors detection during installation.
Comment 1 Konstantin Vlasov 2015-03-20 16:55:07 MSK
https://abf.rosalinux.ru/build_lists/2474202
https://abf.rosalinux.ru/build_lists/2474203

Advisory: During installation the configuration file /etc/sysconfig/lm_sensors is updated according to the current hardware (therefore, the "sensors" command will return actual data).

Requires update from #5181.

Test image:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/9973
Comment 2 FirstLevel 2015-03-26 22:15:48 MSK
I could not find any difference in original and new images.
See output (for old system I have installed fglrx, new - with free drivers):
 
32bit old

[sergei-32@r5-32 ~]$ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
[sergei-32@r5-32 ~]$ 
[sergei-32@r5-32 ~]$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +46.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +39.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +27.0°C  (crit = +128.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +44.6°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

[sergei-32@r5-32 ~]$ 


64bit old
[sergei@r5-64 ~]$ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
[sergei@r5-64 ~]$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +38.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +39.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +28.0°C  (crit = +128.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +38.8°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

[sergei@r5-64 ~]$ 

32bit new
sergei-test2@sergei-test2 ~ $ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
sergei-test2@sergei-test2 ~ $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +41.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +40.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +29.0°C  (crit = +128.0°C)

radeon-pci-0008
Adapter: PCI adapter
temp1:        +39.0°C  (crit = +120.0°C, hyst = +90.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +40.4°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

sergei-test2@sergei-test2 ~ $ 


64bit new
sergei-test1@sergei-test1 ~ $ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
sergei-test1@sergei-test1 ~ $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +43.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +53.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +29.0°C  (crit = +128.0°C)

radeon-pci-0008
Adapter: PCI adapter
temp1:        +40.0°C  (crit = +120.0°C, hyst = +90.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +49.5°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

sergei-test1@sergei-test1 ~ $
Comment 3 FirstLevel 2015-03-26 22:34:15 MSK
!!!! AFTER EXECUTING SENSORS-DETECT !!!

64bit old
[root@r5-64 ~]# cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
[root@r5-64 ~]# sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +48.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +53.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +30.0°C  (crit = +128.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +45.8°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

[root@r5-64 ~]# 


32bit old
[sergei-32@r5-32 ~]$ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
[sergei-32@r5-32 ~]$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +40.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +40.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +30.0°C  (crit = +128.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +40.1°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

[sergei-32@r5-32 ~]$ 



64bit new
sergei-test1@sergei-test1 ~ $ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
sergei-test1@sergei-test1 ~ $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +42.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +42.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +30.0°C  (crit = +128.0°C)

radeon-pci-0008
Adapter: PCI adapter
temp1:        +42.0°C  (crit = +120.0°C, hyst = +90.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +42.1°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

sergei-test1@sergei-test1 ~ $ 


32bit new
sergei-test2@sergei-test2 ~ $ cat /etc/sysconfig/lm_sensors
#    /etc/sysconfig/sensors - Defines modules loaded by /etc/rc.d/init.d/lm_sensors
# Run sensors-detect to generate this config file
sergei-test2@sergei-test2 ~ $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +44.0°C  (crit = +128.0°C)
temp2:         +0.0°C  (crit = +128.0°C)
temp3:        +43.0°C  (crit = +128.0°C)
temp4:         +0.0°C  (crit = +128.0°C)
temp5:        +31.0°C  (crit = +128.0°C)

radeon-pci-0008
Adapter: PCI adapter
temp1:        +44.0°C  (crit = +120.0°C, hyst = +90.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1:        +43.4°C  (high = +70.0°C)
                       (crit = +100.0°C, hyst = +99.0°C)

sergei-test2@sergei-test2 ~ $
Comment 4 Vladimir Potapov 2015-03-30 14:54:58 MSD
draklive-install-1.53-1
https://abf.rosalinux.ru/build_lists/2474202
https://abf.rosalinux.ru/build_lists/2474203
******************************* Advisory *****************************
During installation the configuration file /etc/sysconfig/lm_sensors is updated according to the current hardware (therefore, the "sensors" command will return actual data).
**********************************************************************
QA Verified